import React from 'react';
import ReactDOM from 'react-dom/client';
import App from './App';
import { SocketContext, socket } from './context/socket';
import { ProvideAuth } from './context/auth';
import { ToastContainer } from 'react-toastify';
import { ProvideBank } from './context/bank';
import 'react-toastify/dist/ReactToastify.css';
import './index.css';

const root = ReactDOM.createRoot(
  document.getElementById('root') as HTMLElement
);
root.render(
  <React.StrictMode>
    <ProvideAuth>
      <ProvideBank>
        <SocketContext.Provider value={socket}>
          <App />
          <ToastContainer />
        </SocketContext.Provider>
      </ProvideBank>
    </ProvideAuth>
  </React.StrictMode>
);
